
Ruby - Bug #9639

libyaml not found, rubygems not functional on freebsd with ruby 2.1.0

03/14/2014 09:53 PM - sharklasers (Shark Lasers)

Status: Rejected   

Priority: Normal   

Assignee: tenderlovemaking (Aaron Patterson)   

Target version:    

ruby -v: 2.1.0 Backport:  

Description

Please see the full report here: https://github.com/sstephenson/ruby-build/issues/509

Note that ruby -v is not functional either per below:

stealth% ruby -v

/home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/yaml.rb:4:in `<top (required)>':

It seems your ruby installation is missing psych (for YAML output).

To eliminate this warning, please install libyaml and reinstall your ruby.

/home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require':

 Shared object "libyaml-0.so.2" not found, required by "psych.so" - /home/me/.rbenv/versions/2.1.0

/lib/ruby/2.1.0/x86_64-freebsd9.1/psych.so (LoadError)

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `req

uire'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/psych.rb:1:in `<top (required)>'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `req

uire'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `req

uire'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/yaml.rb:5:in `<top (required)>'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `req

uire'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `req

uire'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems.rb:616:in `load_yaml'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/config_file.rb:327:in `load_file'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/config_file.rb:196:in `initialize'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/gem_runner.rb:74:in `new'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/gem_runner.rb:74:in `do_configuration

'

 from /home/me/.rbenv/versions/2.1.0/lib/ruby/2.1.0/rubygems/gem_runner.rb:39:in `run'

 from /home/me/.rbenv/versions/2.1.0/bin/gem:21:in `<main>'

History

#1 - 03/15/2014 01:56 AM - hsbt (Hiroshi SHIBATA)

- Category set to ext

- Assignee set to tenderlovemaking (Aaron Patterson)

- Target version set to 2.2.0

- ruby -v changed from broken - see description to 2.1.0

#2 - 05/21/2015 08:01 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Feedback

Can you try with Ruby 2.1.6?

#3 - 08/29/2017 04:50 AM - hsbt (Hiroshi SHIBATA)

- Backport deleted (1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN)

I couldn't reproduce FreeBSD 11.0 and Ruby 2.1.10.
#4 - 01/09/2019 10:38 PM - tenderlovemaking (Aaron Patterson)

- Status changed from Feedback to Rejected

Closing because there is no feedback
